# setup iniziale

## container

Eseguire lo script `init.sh` per creare le directory di storage e i vari secret.

Eseguire lo script `tira_su_tutto.sh`.

## proxy

Se si sta usando un server remoto, accedere tramite SSH ed inoltrare la porta 81.

```sh
ssh utente@server -L 81:127.0.0.1:81
```

Accedere all'[interfaccia di amministrazione](http://127.0.0.1:81) con le credenziali di default:

- Email:    `admin@example.com`
- Password: `changeme`

Creare un Proxy Host con questi parametri:

- Dominio:  `auth.esempio.com`
- Schema:   `http`
- Hostname: `authelia`
- Porta:    `9091`

Creare un altro Proxy Host con questi parametri:

- Dominio:  `claudia.esempio.com`
- Schema:   `http`
- Hostname: `nextcloud`
- Porta:    `80`

NB: attivare https, altrimenti authelia non va...

## authelia

Accedi ad authelia all'indirizzo configurato prima, con queste credenziali:

- Utente: `authelia`
- Password: `authelia`

